from django import forms
from django.contrib.auth.models import User

from djadhere.utils import StringWidget
from .models import Adhesion, Corporation


class AdhesionForm(forms.ModelForm):
    adhesion = forms.BooleanField(label='Adhérent ?', required=False)

    class Meta:
        model = Adhesion
        exclude = ()

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        if self.instance.id:
            self.fields['adhesion'].initial = True
            self.fields['adhesion'].widget.attrs['readonly'] = True
